import { createBrowserRouter, createHashRouter } from 'react-router-dom'

import App from '@/App'
import NotFound from '@/pages/not-found'
import Base from '@/pages/base'
import Text from '@/pages/text'

// createBrowserRouter -> history
// createHashRouter -> hash (#)

const router = createBrowserRouter([
    {
        path: '/',
        element: <Base />,
    },
    {
        path: '*',
        element: <Text />
    }
])

export default router;